---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libNestmatesJNI.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_callVoidVoid, symObjAddr: 0x0, symBinAddr: 0x3610, symSize: 0x150 }
  - { offsetInCU: 0x293C, offset: 0x293C, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_callVoidVoid, symObjAddr: 0x0, symBinAddr: 0x3610, symSize: 0x150 }
  - { offsetInCU: 0x2B17, offset: 0x2B17, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_callStringVoid, symObjAddr: 0x150, symBinAddr: 0x3760, symSize: 0x154 }
  - { offsetInCU: 0x2CF6, offset: 0x2CF6, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_newInstance0, symObjAddr: 0x2A4, symBinAddr: 0x38B4, symSize: 0x160 }
  - { offsetInCU: 0x2F19, offset: 0x2F19, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_callStaticVoidVoid, symObjAddr: 0x404, symBinAddr: 0x3A14, symSize: 0x10C }
  - { offsetInCU: 0x3132, offset: 0x3132, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_getIntField, symObjAddr: 0x510, symBinAddr: 0x3B20, symSize: 0x114 }
  - { offsetInCU: 0x32F6, offset: 0x32F6, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_setIntField, symObjAddr: 0x624, symBinAddr: 0x3C34, symSize: 0x124 }
  - { offsetInCU: 0x34CB, offset: 0x34CB, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_getStaticIntField, symObjAddr: 0x748, symBinAddr: 0x3D58, symSize: 0x110 }
  - { offsetInCU: 0x3680, offset: 0x3680, size: 0x8, addend: 0x0, symName: _Java_NestmatesJNI_setStaticIntField, symObjAddr: 0x858, symBinAddr: 0x3E68, symSize: 0x114 }
...
